/* You can add global styles to this file, and also import other style files */
@use "colors";
@import "animations";

html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }

* {
  box-sizing: border-box;
  user-select: none;
  -webkit-user-drag: none;
  color: colors.$text;
}

.glass {
  background: rgba(colors.$light, 0.15);
  backdrop-filter: blur(10px);
  border-radius: 20px;
  overflow: hidden;

  -webkit-backdrop-filter: blur(10px);
}

@mixin mat-select-theme() {
  .mat-form-field-appearance-fill .mat-form-field-underline::before {
    background-color: colors.$text;
  }
}

@include mat-select-theme();
